-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 05, 2024 at 03:44 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_fiesta_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fiesta_guest`
--

CREATE TABLE `tbl_fiesta_guest` (
  `fiesta_guest_id` int(11) NOT NULL,
  `fiesta_information_id` int(11) NOT NULL,
  `guest_name` varchar(100) NOT NULL,
  `performance_date_time` datetime NOT NULL,
  `banner` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fiesta_information`
--

CREATE TABLE `tbl_fiesta_information` (
  `fiesta_information_id` int(11) NOT NULL,
  `location_id` int(11) NOT NULL,
  `fiesta_name` varchar(100) NOT NULL,
  `description` text DEFAULT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fiesta_media`
--

CREATE TABLE `tbl_fiesta_media` (
  `fiesta_media_id` int(11) NOT NULL,
  `fiesta_information_id` int(11) NOT NULL,
  `media_name` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_fiesta_sponsor`
--

CREATE TABLE `tbl_fiesta_sponsor` (
  `fiesta_sponsor_id` int(11) NOT NULL,
  `sponsor_id` int(11) NOT NULL,
  `fiesta_information_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_location`
--

CREATE TABLE `tbl_location` (
  `location_id` int(11) NOT NULL,
  `location_name` varchar(100) NOT NULL,
  `complete_address` text NOT NULL,
  `latitude` decimal(10,8) NOT NULL,
  `longitude` decimal(11,8) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_sponsor`
--

CREATE TABLE `tbl_sponsor` (
  `sponsor_id` int(11) NOT NULL,
  `sponsor_name` varchar(100) NOT NULL,
  `sponsor_logo` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_fiesta_guest`
--
ALTER TABLE `tbl_fiesta_guest`
  ADD PRIMARY KEY (`fiesta_guest_id`),
  ADD KEY `fiesta_information_id` (`fiesta_information_id`);

--
-- Indexes for table `tbl_fiesta_information`
--
ALTER TABLE `tbl_fiesta_information`
  ADD PRIMARY KEY (`fiesta_information_id`),
  ADD KEY `location_id` (`location_id`);

--
-- Indexes for table `tbl_fiesta_media`
--
ALTER TABLE `tbl_fiesta_media`
  ADD PRIMARY KEY (`fiesta_media_id`),
  ADD KEY `fiesta_information_id` (`fiesta_information_id`);

--
-- Indexes for table `tbl_fiesta_sponsor`
--
ALTER TABLE `tbl_fiesta_sponsor`
  ADD PRIMARY KEY (`fiesta_sponsor_id`),
  ADD KEY `sponsor_id` (`sponsor_id`),
  ADD KEY `fiesta_information_id` (`fiesta_information_id`);

--
-- Indexes for table `tbl_location`
--
ALTER TABLE `tbl_location`
  ADD PRIMARY KEY (`location_id`);

--
-- Indexes for table `tbl_sponsor`
--
ALTER TABLE `tbl_sponsor`
  ADD PRIMARY KEY (`sponsor_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_fiesta_guest`
--
ALTER TABLE `tbl_fiesta_guest`
  MODIFY `fiesta_guest_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_fiesta_information`
--
ALTER TABLE `tbl_fiesta_information`
  MODIFY `fiesta_information_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_fiesta_media`
--
ALTER TABLE `tbl_fiesta_media`
  MODIFY `fiesta_media_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_fiesta_sponsor`
--
ALTER TABLE `tbl_fiesta_sponsor`
  MODIFY `fiesta_sponsor_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_location`
--
ALTER TABLE `tbl_location`
  MODIFY `location_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_sponsor`
--
ALTER TABLE `tbl_sponsor`
  MODIFY `sponsor_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_fiesta_guest`
--
ALTER TABLE `tbl_fiesta_guest`
  ADD CONSTRAINT `tbl_fiesta_guest_ibfk_1` FOREIGN KEY (`fiesta_information_id`) REFERENCES `tbl_fiesta_information` (`fiesta_information_id`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_fiesta_information`
--
ALTER TABLE `tbl_fiesta_information`
  ADD CONSTRAINT `tbl_fiesta_information_ibfk_1` FOREIGN KEY (`location_id`) REFERENCES `tbl_location` (`location_id`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_fiesta_media`
--
ALTER TABLE `tbl_fiesta_media`
  ADD CONSTRAINT `tbl_fiesta_media_ibfk_1` FOREIGN KEY (`fiesta_information_id`) REFERENCES `tbl_fiesta_information` (`fiesta_information_id`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_fiesta_sponsor`
--
ALTER TABLE `tbl_fiesta_sponsor`
  ADD CONSTRAINT `tbl_fiesta_sponsor_ibfk_1` FOREIGN KEY (`sponsor_id`) REFERENCES `tbl_sponsor` (`sponsor_id`) ON DELETE CASCADE,
  ADD CONSTRAINT `tbl_fiesta_sponsor_ibfk_2` FOREIGN KEY (`fiesta_information_id`) REFERENCES `tbl_fiesta_information` (`fiesta_information_id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
